# Class SampleAdapterFactory

java.lang.Object
com.ryanharter.auto.value.gson.example.SampleAdapterFactory

All Implemented Interfaces:
  `com.google.gson.TypeAdapterFactory`

public abstract class SampleAdapterFactory extends Object implements com.google.gson.TypeAdapterFactory

## Constructor Summary

Constructors
Constructor
Description
`SampleAdapterFactory()`

## Method Summary

Modifier and Type
Method
Description
`static SampleAdapterFactory`
`create()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.gson.TypeAdapterFactory

`create`

## Constructor Details

### SampleAdapterFactory

public SampleAdapterFactory()

## Method Details

### create

public static SampleAdapterFactory create()